Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ProtocolProperties_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ProtocolProperties_var:

[legend]
Collaboration diagram for RTCORBA::ProtocolProperties_var:

[legend]
List of all members.

## Public Methods
| ProtocolProperties_var (void)
| ProtocolProperties_var (ProtocolProperties_ptr p)
| ProtocolProperties_var (const ProtocolProperties_var &)
| ~ProtocolProperties_var (void)
ProtocolProperties_var & | operator= (ProtocolProperties_ptr)
ProtocolProperties_var & | operator= (const ProtocolProperties_var &)
ProtocolProperties_ptr | operator-> (void) const
| operator const ProtocolProperties_ptr & () const
| operator ProtocolProperties_ptr & ()
ProtocolProperties_ptr | in (void) const
ProtocolProperties_ptr & | inout (void)
ProtocolProperties_ptr & | out (void)
ProtocolProperties_ptr | _retn (void)
ProtocolProperties_ptr | ptr (void) const
## Static Public Methods
ProtocolProperties_ptr | tao_duplicate (ProtocolProperties_ptr)
void | tao_release (ProtocolProperties_ptr)
ProtocolProperties_ptr | tao_nil (void)
ProtocolProperties_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ProtocolProperties_var (const TAO_Base_var &rhs)
ProtocolProperties_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ProtocolProperties_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::ProtocolProperties_var::ProtocolProperties_var | ( | void |  | ) |

RTCORBA::ProtocolProperties_var::ProtocolProperties_var | ( | ProtocolProperties_ptr | p | ) | `[inline]`

RTCORBA::ProtocolProperties_var::ProtocolProperties_var | ( | const ProtocolProperties_var & |  | ) |

RTCORBA::ProtocolProperties_var::~ProtocolProperties_var | ( | void |  | ) |

RTCORBA::ProtocolProperties_var::ProtocolProperties_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::_retn | ( | void |  | ) |

ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::in | ( | void |  | ) | const

ProtocolProperties_ptr& RTCORBA::ProtocolProperties_var::inout | ( | void |  | ) |

RTCORBA::ProtocolProperties_var::operator const ProtocolProperties_ptr & | ( |  | ) | const

RTCORBA::ProtocolProperties_var::operator ProtocolProperties_ptr & | ( |  | ) |

ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::operator-> | ( | void |  | ) | const

ProtocolProperties_var& RTCORBA::ProtocolProperties_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ProtocolProperties_var& RTCORBA::ProtocolProperties_var::operator= | ( | const ProtocolProperties_var & |  | ) |

RTCORBA::ProtocolProperties_var & RTCORBA::ProtocolProperties_var::operator= | ( | ProtocolProperties_ptr | p | ) |

ProtocolProperties_ptr& RTCORBA::ProtocolProperties_var::out | ( | void |  | ) |

RTCORBA::ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::ptr | ( | void |  | ) | const

ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::tao_duplicate | ( | ProtocolProperties_ptr |  | ) | `[static]`

ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::ProtocolProperties_var::tao_release | ( | ProtocolProperties_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::ProtocolProperties_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ProtocolProperties_ptr RTCORBA::ProtocolProperties_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp